.. AUTO-GENERATED FILE. DO NOT EDIT. store-printer-profiles-get-one ============================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25333167796`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``get`` - Lambda: ``jef-store-get-33`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/store-printer-profiles-get-one`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-get-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-33`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-get-33 API Name: jef-store Action: get Method: GET Resource Path: /store-printer-profiles-get-one Table: - table: jef-store-printer-profiles - operation: get-one Payload Schema: - pk: printer_profile_id Payload Example: - pk: printer-profile-1001-0001 Response Schema: - exists: boolean - message: string - item: {"printer_profile_id":"string","entity_number":"string","employee_number":"string","device_id":"string","device_name":"string","service_uuid":"string","characteristic_uuid":"string","write_mode":"string","environment":"string","is_default":"boolean","last_connected_at":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"} Request Payload --------------- .. code-block:: json { "pk": "printer_profile_id" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"printer_profile_id\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"device_id\":\"string\",\"device_name\":\"string\",\"service_uuid\":\"string\",\"characteristic_uuid\":\"string\",\"write_mode\":\"string\",\"environment\":\"string\",\"is_default\":\"boolean\",\"last_connected_at\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}" } CMD curl -------- .. code-block:: text curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-get-one?pk=printer-profile-1001-0001" PowerShell curl --------------- .. code-block:: text curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-get-one?pk=printer-profile-1001-0001"